
include ../make.inc

#========================

.SUFFIXES :
.SUFFIXES : .o .c .f .f90

.f90.o:
	$(FC) $(FCFLAGS) -c $<
.c.o:
	$(CC) $(CFLAGS)  -c $<

#========================

par_objs= \
PARALLEL_and_IO_Setup.o \
PARALLEL_get_ENVIRONMENT_structure.o \
PARALLEL_index.o \
PARALLEL_global_BZINDX.o \
PARALLEL_global_defaults.o \
PARALLEL_global_dimensions.o \
PARALLEL_global_DIPOLES.o \
PARALLEL_global_indexes.o \
PARALLEL_global_reset.o \
PARALLEL_global_Response_G.o \
PARALLEL_global_Response_IO.o \
PARALLEL_assign_chains_and_COMMs.o \
PARALLEL_distribute_BZk_using_IBZk.o \
PARALLEL_set_the_active_structures.o \
PARALLEL_build_up_child_INTER_chains.o \
PARALLEL_structure.o \
PARALLEL_add_Q_to_K_list.o

par_objs= \
PARALLEL_and_IO_Setup.o \
PARALLEL_get_ENVIRONMENT_structure.o \
PARALLEL_index.o

objs=\
mods_yambo.o \
mod_openmp.o \
mod_parallel.o \
mod_timing.o \
mod_collisions_el.o \
mod_DIPOLES.o \
mod_input.o \
mod_matrix.o \
mod_X.o \
mod_parallel_interface.o \
mod_zeros.o \
build_gvec.o \
PARSER_close_G.o \
ct_cptimer.o \
sgfft.o \
fft_subroutines.o \
frequencies_subroutines.o \
finalize_global.o \
G_shells_finder.o \
headers.o \
init_global.o \
main_vars_init.o \
MATRIX_init.o \
scatter_bamp.o \
TIMING_overview.o \
TIMING_clock_write.o \
$(par_objs) \
utilities.o \
WF_apply_symm.o \
X_ALLOC_parallel.o \
X_GreenF_analytical.o \
X_eh_setup.o \
X_pre_setup.o \
X_irredux.o \
X_irredux_residuals.o 


all: yminiapp
yminiapp: miniapp_X.x

miniapp_X.x: $(objs) miniapp_X.o
	$(FC) $(FCFLAGS) $(objs) miniapp_X.o -o $@ $(LIBS)
	cd ../bin ; ln -sf ../src/miniapp_X.x ./
 
clean:
	-rm -rf *.x *.o *.mod *.MOD *.a

include ./make.deps

